### Enumeration

# Gsk LineCap

unstable since: 4.14

#### Declaration

    enum Gsk.LineCap

#### Description [src]

Specifies how to render the start and end points of contours or dashes when stroking.

The default line cap style is `GSK_LINE_CAP_BUTT`.

New entries may be added in future versions.

GSK_LINE_CAP_BUTT, GSK_LINE_CAP_ROUND, GSK_LINE_CAP_SQUARE

Available since: 4.14

#### Members

Name | Description
--- | ---
`GSK_LINE_CAP_BUTT` | Start and stop the line exactly at the start and end point.
`GSK_LINE_CAP_ROUND` | Use a round ending, the center of the circle is the start or end point.
`GSK_LINE_CAP_SQUARE` | Use squared ending, the center of the square is the start or end point.